Kerbal Space Program - Bug #24306

Settings saved but not applying
11/05/2019 08:04 PM - digitao

Status: Confirmed Start date: 11/05/2019
Severity: Low % Done: 10%
Assignee:

Category: Application

Target version:

Version: 1.8.0 Language: English (US)
Platform: Linux Mod Related: No
Expansion: Core Game

Description

after upgrade to 1.8 my ui scale settings are saved but don't apply until | go to settings and click apply.

Platform - Linux via Steam Client

History

#1 - 11/06/2019 07:33 PM - RafaHdz

- Status changed from New to Need More Info

Could you please provide more information about this issue? A more detailed explanation of the issue and reproduction steps? Thank you!

#2 - 11/07/2019 01:56 PM - digitao

To reproduce....

Go into settings and set ui scale to something other than 100%

Click apply followed by accept

exit KSP

start ksp

click start game - Note that ui scaling seems to have reverted to 100%

go back and enter settings - you can see that the settings are all saved correctly.

without changing anything click apply and the ui will rescale to the chosen scale

click accept and and carry on with your game...

on each restart the ui scale will be 100% until you enter the settings screen and click apply.

Hope this helps..

Matt

#3 - 11/24/2019 07:52 PM - Liquid

- File ksp-texture-downgrade.png added

- Category changed from Controls and Ul to Application
- Status changed from Need More Info to Confirmed

- % Done changed from 0 to 10

- Expansion Core Game added

- Expansion deleted (Breaking Ground)

Confirmed on KSP 1.8.1 running on Linux Mint 19.2 and it's worse than just the Ul scale.

It also affects the textures, loading the default half-res textures no matter what your settings are and won't load the full res versions even if you click
apply, so affected users can't enjoy the full res textures at all.

Including a screenshot to illustrate this aspect of the issue. Both images are taken from completely fresh copies of KSP, downloaded and unzipped
from the store, with only the texture quality, resolution and version watermark settings changed. The texture quality is set to "full res" in both, and the
issue persists after relaunching the game.

#4 - 08/16/2020 05:29 AM - steve_v
Still not fixed as of 1.10.1.

#5 - 09/15/2020 10:09 PM - rfried

| confirm this bug.

And if there is anybody at squad reading this:

The "Rescue" lettering on the command pod can not fixed in linux by apply
the settings again and again after each start of the game.

It stays at half-res :-(

A game that can not even store the settings seem a bit ridiculous and unfinished.

Thanks steve to not giving up and reporting this every new version!
